wxpyimgview(1)

NAME
wxpyimgview - Views BMP images from the PNG driver.

KEYWORDS
display, graphics, raster

SYNOPSIS
wxpyimgview
wxpyimgview --help
wxpyimgview image=name [percent=integer] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

image=name [required]
    Name of input image file

percent=integer
    Percentage of CPU time to use
    Default: 10

DESCRIPTION
wxpyimgview is a simple wxWidgets image viewer for 32-bpp BMP images, as can be created with the PNG and cairo drivers. The display is continually refreshed.

NOTES
The display driver must be configure to map the file, with GRASS_RENDER_FILE_MAPPED=TRUE. This ensures that the file will remain a constant size, rather than being truncated whenever it is updated.

SEE ALSO
PNG driver, cairo driver

AUTHOR
Glynn Clements

Last changed: $Date$

Main index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.0 Reference Manual